After domain migration an error occurs: Cannot update domain: Wrong syntax for command's '-expiration' parameter

Created:

2017-04-02 22:48:17 UTC

Modified:

2017-08-08 13:22:25 UTC

2

Was this article helpful?


Have more questions?

Submit a request

After domain migration an error occurs: Cannot update domain: Wrong syntax for command's '-expiration' parameter

Applicable to:

  • Plesk Onyx for Linux

Symptoms

During the migration an error occurs:

  Plesk restore report problem: Execution of /usr/local/psa/admin/plib/api-cli/domain_pref.php --update example.com -expiration 1522875600 -ignore-nonexistent-options failed with return code 1. Stderr is Cannot update domain: Wrong syntax for command's '-expiration' parameter. '1522875600' does not match the pattern '/^(?:-1|\d{4}-\d{1,2}-\d{1,2})$/'.

Cause

Subscriptions were migrated earlier than Service Plans from the source server.

The migrated subscriptions are in conflict with existing default Service Plan in Expiration date value on the target server.

Resolution

  • Migrate all existing Service Plans from source server
  • Run Re-sync process for all affected subscriptions by following Tools & Settings > Migration & Transfer manager > Subscription list > Re-sync
  • Syncronize the subscriptions with migrated Service Plans on the target server
Have more questions? Submit a request
Please sign in to leave a comment.